summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-05-05 20:22:25 +0000
committerMichał Górny <mgorny@gentoo.org>2013-05-05 20:22:25 +0000
commita7b8f0cb2e217003ea5cc7bec6128598c1f0fc34 (patch)
tree271ef9044a43aa1021444f4b1fe50cb86b5f2fff /eclass/autotools-utils.eclass
parentthe new pam config needs a patch to avoid 100% cpu usage by lxdm-binary. See:... (diff)
downloadgentoo-2-a7b8f0cb2e217003ea5cc7bec6128598c1f0fc34.tar.gz
gentoo-2-a7b8f0cb2e217003ea5cc7bec6128598c1f0fc34.tar.bz2
gentoo-2-a7b8f0cb2e217003ea5cc7bec6128598c1f0fc34.zip
Support complete EAPI src_test().
Diffstat (limited to 'eclass/autotools-utils.eclass')
-rw-r--r--eclass/autotools-utils.eclass9
1 files changed, 6 insertions, 3 deletions
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index 765dc55f5de3..25d9b5e9c889 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.67 2013/05/03 09:20:56 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.68 2013/05/05 20:22:25 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -546,8 +546,11 @@ autotools-utils_src_test() {
_check_build_dir
pushd "${BUILD_DIR}" > /dev/null || die
- # XXX: do we need to support other targets in autotools?
- emake check "${@}" || die 'emake check failed.'
+ if make -n check &>/dev/null; then
+ emake check "${@}" || die 'emake check failed.'
+ elif make -n test &>/dev/null; then
+ emake test "${@}" || die 'emake test failed.'
+ fi
popd > /dev/null || die
}